Subject: Re: [alpine-devel] [2.6rc2] USB 3G Modems Not Working, Anymore

From: Der Tiger <[email-masked]>
Date: Fri, 03 May 2013 18:25:52 +0200

Hi Jeff,

Thank you for your immediate reply!

> I've seen similar issues when a dongle got stuck in "serial" vs "data"
> mode, and then the usb_modeswitch failed to change the device.
I just can't find any way to get the mode switch working, again. Anyway,
it isn't a device specific problem since it occurs with both, the E372
and the E169 devices. Both devices work on my Fedora laptop.

> Can you check whether the device and vendor ID in lsusb match what
> usb_modeswitch is expecting?
I'm certain, I got the correct vendor ID and product ID, because
usb_modeswitch tells me it has found a matching device and identifies it
as Huawei product (there is only one Huawei device attached to the
Alpine system at any time).

8<------------------------------------->8
alpine:~$ sudo usb_modeswitch -W -v 12d1 -p 1505 -H
Taking all parameters from the command line

 * usb_modeswitch: handle USB devices with multiple modes
 * Version 1.2.4 (C) Josua Dietze 2012
 * Based on libusb0 (0.1.12 and above)

 ! PLEASE REPORT NEW CONFIGURATIONS !

DefaultVendor=  0x12d1
DefaultProduct= 0x1505
TargetVendor=   not set
TargetProduct=  not set
TargetClass=    not set
TargetProductList=""

DetachStorageOnly=0
HuaweiMode=1
SierraMode=0
SonyMode=0
QisdaMode=0
GCTMode=0
KobilMode=0
SequansMode=0
MobileActionMode=0
CiscoMode=0
MessageEndpoint=  not set
MessageContent=""
NeedResponse=0
ResponseEndpoint= not set

InquireDevice enabled (default)
Success check disabled
System integration mode disabled

Looking for default devices ...
  searching devices, found USB ID 12d1:1505
   found matching vendor ID
   found matching product ID
   adding device
  searching devices, found USB ID 058f:6254
  searching devices, found USB ID 1d6b:0002
  searching devices, found USB ID 0951:1607
  searching devices, found USB ID 1d6b:0001
  searching devices, found USB ID 1d6b:0001
  searching devices, found USB ID 1d6b:0001
  searching devices, found USB ID 1d6b:0001
 Found device in default mode, class or configuration (1)
Accessing device 006 on bus 005 ...
Getting the current device configuration ...
 OK, got current device configuration (1)
Using interface number 0
Using endpoints 0x01 (out) and 0x81 (in)
Inquiring device details; driver will be detached ...
Looking for active driver ...
 No driver found. Either detached before or never attached

SCSI inquiry data (for identification)
-------------------------
  Vendor String: HUAWEI
   Model String: Mass Storage
Revision String: 2.31
-------------------------

USB description data (for identification)
-------------------------
Manufacturer: Huawei Technologies
     Product: HUAWEI Mobile
  Serial No.: not provided
-------------------------
Sending Huawei control message ...
Error: sending Huawei control message failed (error -32). Aborting.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---